Index: /trunk/iproute/setroute-rhel.sh
===================================================================
--- /trunk/iproute/setroute-rhel.sh	(revision 6)
+++ /trunk/iproute/setroute-rhel.sh	(revision 6)
@@ -0,0 +1,43 @@
+#!/bin/sh
+
+set -x
+
+IF="${1:?"usage: $0 <ether_device> [gateway] "}"
+GATEWAY=$2
+
+TID=`/sbin/ip addr show dev ${IF} | grep -w ${IF}: | cut -d : -f 1`
+
+if [ "${GATEWAY}" = "down" ]; then
+    # delete routing table and policy and exit
+    ## routing table is automatically flushed, so 'route flush' can be removed
+    /sbin/ip route flush table ${TID}
+    ## device has no longer any IP addr, so do not use IPADDR
+    /sbin/ip rule del table ${TID} priority ${TID}
+    /sbin/ip route flush cache
+    echo "remove routing table and policy for ${IF}"
+    exit
+fi
+
+
+# get IP address, network mask, default gateway info
+IPADDR=`/sbin/ip addr show dev ${IF} | grep -w inet | cut -d t -f 2 | cut -d ' ' -f 2 | cut -d / -f 1`
+NETWORK=`/sbin/ip route show dev ${IF} | grep -w ${IPADDR} | cut -d ' ' -f 1`
+
+if [ -z "${GATEWAY}" ]; then
+    GATEWAY=`/sbin/ip route show dev ${IF} | grep -w default | cut -d ' ' -f 3`
+fi
+if [ -z "${GATEWAY}" ]; then
+    GATEWAY=`/sbin/ip route | grep -w default | cut -d ' ' -f 3`
+    # this may add wrong default route especially on RHEL
+fi
+
+
+# set routing table
+/sbin/ip route add ${NETWORK} dev ${IF} table ${TID}
+/sbin/ip route add default via ${GATEWAY} dev ${IF} table ${TID}
+
+# set routing policy
+/sbin/ip rule add from ${IPADDR} table ${TID} priority ${TID}
+
+/sbin/ip route flush cache
+echo "add routing table and policy for ${IF} on table ${TID}"
Index: /trunk/iproute/setroute.sh
===================================================================
--- /trunk/iproute/setroute.sh	(revision 5)
+++ /trunk/iproute/setroute.sh	(revision 6)
@@ -3,10 +3,17 @@
 set -x
 
-IF="${1:?"usage: $0 <ether_device> [gateway] "}"
-GATEWAY=$2
+## INTERFACES(5)
+# IFACE  physical name of the interface being processed
+# METHOD method of the interface (e.g., static)
+# MODE   start if run from ifup, stop if run from ifdown
+# PHASE  as per MODE, but with finer granularity, distinguishing the pre-
+#        up, post-up, pre-down and post-down phases.
 
-TID=`/sbin/ip addr show dev ${IF} | grep -w ${IF}: | cut -d : -f 1`
+# optional arugument to set default gateway manually
+GATEWAY=$1
 
-if [ "${GATEWAY}" = "down" ]; then
+TID=`/sbin/ip addr show dev ${IFACE} | grep -w ${IFACE}: | cut -d : -f 1`
+
+if [ "${PHASE}" = "post-down" ]; then
     # delete routing table and policy and exit
     ## routing table is automatically flushed, so 'route flush' can be removed
@@ -15,5 +22,5 @@
     /sbin/ip rule del table ${TID} priority ${TID}
     /sbin/ip route flush cache
-    echo "remove routing table and policy for ${IF}"
+    echo "remove routing table and policy for ${IFACE}"
     exit
 fi
@@ -21,9 +28,9 @@
 
 # get IP address, network mask, default gateway info
-IPADDR=`/sbin/ip addr show dev ${IF} | grep -w inet | cut -d t -f 2 | cut -d ' ' -f 2 | cut -d / -f 1`
-NETWORK=`/sbin/ip route show dev ${IF} | grep -w ${IPADDR} | cut -d ' ' -f 1`
+IPADDR=`/sbin/ip addr show dev ${IFACE} | grep -w inet | cut -d t -f 2 | cut -d ' ' -f 2 | cut -d / -f 1`
+NETWORK=`/sbin/ip route show dev ${IFACE} | grep -w ${IPADDR} | cut -d ' ' -f 1`
 
 if [ -z "${GATEWAY}" ]; then
-    GATEWAY=`/sbin/ip route show dev ${IF} | grep -w default | cut -d ' ' -f 3`
+    GATEWAY=`/sbin/ip route show dev ${IFACE} | grep -w default | cut -d ' ' -f 3`
 fi
 if [ -z "${GATEWAY}" ]; then
@@ -34,6 +41,6 @@
 
 # set routing table
-/sbin/ip route add ${NETWORK} dev ${IF} table ${TID}
-/sbin/ip route add default via ${GATEWAY} dev ${IF} table ${TID}
+/sbin/ip route add ${NETWORK} dev ${IFACE} table ${TID}
+/sbin/ip route add default via ${GATEWAY} dev ${IFACE} table ${TID}
 
 # set routing policy
@@ -41,3 +48,3 @@
 
 /sbin/ip route flush cache
-echo "add routing table and policy for ${IF} on table ${TID}"
+echo "add routing table and policy for ${IFACE} on table ${TID}"