Index: vendor/ubuntu/swat/lang/ja/help/welcome.html
===================================================================
--- vendor/ubuntu/swat/lang/ja/help/welcome.html	(revision 21)
+++ vendor/ubuntu/swat/lang/ja/help/welcome.html	(revision 21)
@@ -0,0 +1,69 @@
+<h3>SWAT へようこそ!</h3>
+
+上のボタンをクリックして設定を行ってください。
+
+<h3><a href="/swat/help/samba.7.html" target="docs">Samba</a> ドキュメント</h3>
+
+<ul>
+ <li><b>デーモン</b>
+   <ul>
+    <li><a href="/swat/help/smbd.8.html" target="docs">smbd</a> - SMB デーモン
+    <li><a href="/swat/help/nmbd.8.html" target="docs">nmbd</a> - NetBIOS ネームサーバ
+    <li><a href="/swat/help/winbindd.8.html" target="docs">winbindd</a> - winbind デーモン
+   </ul>
+ <li><b>設定ファイル</b>
+   <ul>
+    <li><a href="/swat/help/smb.conf.5.html" target="docs">smb.conf</a> - Samba 設定ファイル
+    <li><a href="/swat/help/lmhosts.5.html" target="docs">lmhosts</a> - NetBIOS の hosts ファイル
+    <li><a href="/swat/help/smbpasswd.5.html" target="docs">smbpasswd</a> - SMB パスワードファイル
+   </ul>
+ <li><b>管理ユーティリティ</b>
+   <ul>
+    <li><a href="/swat/help/smbcontrol.1.html" target="docs">smbcontrol</a> - Samba デーモンへのコントロールメッセージの送出
+    <li><a href="/swat/help/smbpasswd.8.html" target="docs">smbpasswd</a> - SMB パスワードの管理
+    <li><a href="/swat/help/swat.8.html" target="docs">SWAT</a> - Web 設定ツール
+    <li><a href="/swat/help/net.8.html" target="docs">net</a> - Samba およびリモートの CIFS サーバの管理ツール
+    <li><a href="/swat/help/pdbedit.8.html" target="docs">pdbedit</a> - Samba のユーザアカウント管理ツール
+    <li><a href="/swat/help/tdbbackup.8.html" target="docs">tdbbackup</a> - TDB データベースのバックアップツール
+   </ul>
+ <li><b>クライアントツール</b>
+   <ul>
+    <li><a href="/swat/help/rpcclient.1.html" target="docs">rpcclient</a> - コマンドラインの MS-RPC クライアント
+    <li><a href="/swat/help/smbtar.1.html" target="docs">smbtar</a> - SMB バックアップツール
+    <li><a href="/swat/help/smbclient.1.html" target="docs">smbclient</a> - コマンドラインの SMB クライアント
+    <li><a href="/swat/help/smbmnt.8.html"  target="docs">smbmnt</a> - Linux 上の SMB ファイルシステムをマウントする際の補助ツール
+    <li><a href="/swat/help/smbmount.8.html"  target="docs">smbmount</a> - Linux における SMB ファイルシステムのマウントを実現するユーザ空間のツール
+    <li><a href="/swat/help/smbspool.8.html"  target="docs">smbspool</a> - コマンドラインの SMB 印刷クライアント
+    <li><a href="/swat/help/smbumount.8.html"  target="docs">smbumount</a> - Linux における SMB ファイルシステムのアンマウントを実現するユーザ空間のツール
+    <li><a href="/swat/help/ntlm_auth.1.html" target="docs">ntlm_auth</a> - 別プログラムからの NTLM 認証の使用を実現
+    <li><a href="/swat/help/smbcquotas.1.html" target="docs">smbcquotas</a> - NTFS 5 共有のクォータ情報の設定と取得
+    <li><a href="/swat/help/smbsh.1.html" target="docs">smbsh</a> - UNIX シェルを用いたリモート SMB 共有へのアクセスを実現
+    <li><a href="/swat/help/smbtree.1.html" target="docs">smbtree</a> - テキストベースの SMB ネットワークブラウジング
+    <li><a href="/swat/help/smbspool.8.html" target="docs">smbspool</a> - 印刷ジョブを SMB プリンタに送信
+   </ul>
+ <li><b>診断ユーティリティ</b>
+   <ul>
+    <li><a href="/swat/help/smbstatus.1.html" target="docs">smbstatus</a> - Samba の監視
+    <li><a href="/swat/help/testparm.1.html" target="docs">testparm</a> - 設定ファイルの整合性の検査
+    <li><a href="/swat/help/testprns.1.html" target="docs">testprns</a> - プリンタ設定の検査
+    <li><a href="/swat/help/nmblookup.1.html" target="docs">nmblookup</a> - NetBIOS 名の検索ツール
+    <li><a href="/swat/help/wbinfo.1.html" target="docs">wbinfo</a> - winbind 情報の取得ツール
+   </ul>
+ <li><b>その他のユーティリティ</b>
+   <ul>
+    <li><a href="/swat/help/profiles.1.html" target="docs">profiles</a> - 別ドメインへのプロファイルの移行
+    <li><a href="/swat/help/editreg.1.html" target="docs">editreg</a> - Windows レジストリファイルの編集
+    <li><a href="/swat/help/log2pcap.1.html" target="docs">log2pcap</a> - Samba のログファイルから pcap ファイルの生成
+   </ul>
+ <li><b>書籍</b>
+   <ul>
+    <li><a href="/swat/using_samba/toc.html" target="docs">Using Samba 第二版</a> - 著者: Jay Ts, Robert Eckstein, David Collier-Brown
+    <li><a href="/swat/help/Samba-HOWTO-Collection.html">Samba HOWTO コレクション</a>
+   </ul>
+</ul>
+ 
+ <h3>フィードバック</h3>
+
+ このバージョンの SWAT に関する問題についての議論を行ないたい方は、
+ <A HREF="http://lists.samba.org/">samba</A> メーリングリストへの参加をお願いします。
+<small>(もしくは <A HREF="http://www.samba.gr.jp/ml/">sugj-tech</A> メーリングリストに日本語でお願いします)</small>