Index: trunk/Commentary/shibuya.pm/20110706#16.log
===================================================================
--- trunk/Commentary/shibuya.pm/20110706#16.log	(revision 123)
+++ trunk/Commentary/shibuya.pm/20110706#16.log	(revision 123)
@@ -0,0 +1,222 @@
+dan kogai
+	OÀÈÌ©c
+	¹¢«Ðå¤°ñÁÄ¦ë¢ÌH
+		»êÁÄ¦ç¢I
+	·×ÄÌðAÁµè½¢
+	$universe = s///g;
+	ÜÇ©l^³o
+	³K\»Ìg¢·¬ÉÎ·éÓ«N
+	X}[g}b`Í5.10©çg¦é ~~
+		µ©µAÜ¾x¢
+	[AhXÌ³K\»
+		ØÈñÄA éí¯È¢
+		AOuPbgÍ³K\»ÅÍ}b`oÈ¢
+		perldoc -q mail
+	IPv4ÖÌ}b`
+		æ­ éÔá¢
+		\d{4}.\d{4}.\d{4}.\d{4}
+		¿áñÆ±¤Æ·éÆ
+	use Regexp::Common ðg¨¤I
+		my $re_ipv4 = $RE{net}{IPv4}
+	alteration
+		(a|b|c|d)Í[abcd]Ì4{ÈãÌRXg
+		O(mn)ÌI[_[
+		lÌèÅÅK»·éÌÍ³
+		Regexp::AssembleÅÅK»µæ¤
+		ÀÍPerl 5.10È~ÍTRIE OptimizationµÄ­êé
+		µ©µARegexp::AssembleÅ³¢ÆoÈ¢±Æà é
+		L[[hðNÉ·éAÈÇÌÌI[_[ªæèå«­ÈÁ½Æ«ÍText::DartsÆText::TxðI
+	s///sexsexsex...
+		IH
+		Ó¡Ì é¶ðwèµ½Æ«ÍA½Â ÁÄàêÂwèµ½±ÆÆ¯¶
+		e¾¯ÍdËéÆAevalµ½ÊðÄxeval·é±ÆÉÈé
+	³K\»ÌÈ¢PerlÍRuÌÈ¢N_
+		»ÝÌ¢ë¢ëÈ¾êÅÌ³K\»Ì\»ÍAÙÚPerlÉÊ¶Ä¢é
+		JavaÌ³K\»Í¿åÁÆáO(¿åÁÆã¢)
+	LionÌPerl
+		5.12.3
+
+Øº_ê
+	³K\» - à¤êÂÌoxÌ -
+	Æ¢¤bÍâèÜ¹ñ
+		¸²[
+	u³K\»vÌl
+		ÀÍ éÓ¡uðjv
+	}Ci[ÈZq
+		[[:<:]] Æ [[:>:]]
+			TclÅg¦é³K\»
+		[= =]
+		[. .]
+			Ç¿çàPOSIXÉè`³êÄ¢é^¶
+			[=e=] -> ÊÌe¾¯¶áÈ­ÄAANZgLªt¢½eÉà}b`
+				EEgÈÇðê©¸ÉêñÅÏÜ¹çêé
+			[. .] -> XyCêÅÍA­Æ«Íñ¶¾¯Çê¶Æ©È·¨ª éÌÅA»êðµ¤
+	\
+		EmacsÌ³K\» -> obNXbV
+ªRÌæ¤ÉoÄ­é
+		PerlÅÍobNXbV
+{LÆ¢¤^¶Í3­ç¢©çgíÈ­ÈÁ½
+			[É´Ó
+	(¶ÌH)Jperl 5.6
+		uJavaÅÀ³êÄ¢Ü·Iv(Î
+		ú{êÎ³ê½Perl
+		ver4ÜÅÍ©ÈèµÁ©èeiX³êÄ¢½
+		5ÉÈÁÄ©çeiªÏíÁ½
+		5.0005 -> 5.6 ÅJPerlªoÈ­ÈÁ½
+		³K\»ÉßèÇÝªüÁ½
+			ÚµÄ¢éÆ±ë©çÅè·¾¯OÉü©ÁÄÇÞ
+			ú{êÅÍAEUC-JPÅàShift-JISÅàAuê¶vª½oCgÈÌ©èoÈ¢ -> Åè·ªÛØoÈ¢
+		uPerl 5ªoÈ©Á½ç¡ÌvO~O¾êÁÄÇ¤ÈÁÄñ½ñ¾ë¤v by dan
+	³K\»ÌªÞ
+		POSIX
+			BASIC
+				grep, edÅg¤
+			Extended
+				egrep, awkÅg¤
+		Perlg£
+			êûÅuPerlg£vÆÍ¢¤àÌÌc
+		Javaâ.NET¾ÆAßèÇÝªÂÏ·ð·ÌÅACuÉæÁÄ®ªáÁÄ­é
+		{ð­Æ«ÉYñ¾±Æ
+			ßª¢±ÆÉÈé
+				usIhÍê¶É}b`µÜ·B½¾µc]Xv
+	¶NXÆlocaleÌYÜµ¢b
+		gawkªÂ¢ÅßXV³ê½
+		[abcd]Æ[a-d]Ìá¢ÆlocaleÍ«ª«¢
+		ÊÉl¦êÎASCIIR[h¾ªALinuxÈÇÅÍUTF-8ÈÇÉ·éÆa->A->b->B->z->ZÉÈé
+		J^JiÆÐçªÈÅ÷­É¸ê½è
+		à¤Ê|­³¢ÌÅA¶NXÅwè³ê½Æ«ÍASCIIÆ¯¶®É·éAÆß½çµ¢
+
+
+@__gfx__
+	Hello, re::engine!
+	Xslateð¢Äé
+	HTML::FillInForm::Lite HTML::FillInFormªRpCªKv¾Á½ÌÅA³K\»ÅÀµ½
+	Text::Xslate - tokenazer
+	re::engineÆÍH
+		PerlÌ³K\»ZðI[o[[hoéæ¤Éµ½¨
+		vKuÉµ½æ[ÆÌLª2006²ë
+		PerlRAÆ³K\»GWðÆ§³¹½
+		Perl6ÖÌzÎ¾Á½Ævíêé
+		f»èÌexample
+		bg
+			R[hðC³µÈ­ÄàGWð·µÖ¦çêéÌªbg
+			CxÌAPIÈÌÅ¬
+			m//¾¯ÅÈ­s//âsplit//ÈÇà
+		How it works
+			Ö|C^ði[µ½regexp_engineðvirtual tableÉµÄÖðfBXpb`
+			Virtual Table in regexp.h
+		re::engine::PCRE
+		re::engine::Oniguruma
+			obNgbNÉ­¢ -> ³K\»ÌÀEðËj·é
+		re::engine::RE2
+			Google»
+			¡GÈ³K\»¾ÆPerlgÝÝæè¢
+		re::engine::boost
+			boost::regex::boost
+			x·¬ÄbÉÈçÈ¢(100{­ç¢)
+		¼Ì³K\»GWðÈPÉ¹éÌª¦¢
+		¢EÅ¬grepÌ³K\»GWÌoCfBOàcomming soon
+
+@sinya8282
+	³K\»ÌÀE
+	nkfÌÍìæ¶Ì¤ºÉ¢Üµ½
+	I u ³K\»
+	Í³K\»ªD«¾
+	³¥\»ÉÂ¢Ä
+		î{: AÚAIðAÖ¢Ù¤
+		ß\¶ .^$[]{}()?+
+		î{3ZÅ\»oÈ¢ZàReal WorkdÅÍgíêÄ¢é
+			(?{ code })
+		î{ÍOÂ¾¯
+		OÂÌZqµ©È¢ÌÈçPÅñÍH
+	Æ éÛèÌ³K\»(WFbNX)
+		/a*/É}b`µÈ¢³K\»Í/.*[^a].*/
+		±ÌöxÍlÔÅàìêé
+		/abc/ÌÛèÍH/abc|efg/ÌÛèÍH/.*abc.*/ÍH
+		³K\»ð­lÔ¤ÉÀEªc
+		½ÌÛèÌ³K\»ð­Ìªïµ¢Ì©
+	³K\»©çDFA©çìé±ÆÆÙÚ¯`
+	³K\»ÌÛè <=> DFAÌóóÔÆñóóÔðüêÖ¦êÎ¢¢	
+	ÀÍDFA©çà¿È³K\»ðìé±Æªoé
+	³K\» -> NFA -> DFA -> ÛèÌDFA -> GNFA -> ÛèÌ³K\»
+		Å«vZÊªexp()É
+	ÀÍCÓÌ³K\»ÌÛè\»ð¶¬·éc[ªÈ¢
+		Àµ½I
+		/abc/ -> /((a?|ab)|((([[^a]|a[^b])|ab[^c])|abc.).*)/
+			Lv`[µÄ¢éÌÅ¾ß by dan
+	±Ì¢ÉÍ³K\»Å\»oÈ¢¨ª é
+		¶¬©R¶@
+		ÄAI\¢
+	³K\»ÍÊÌÎªæêÈ¢
+		l¥ZÈÇ
+	PCREÉÍ(?R)ÅÄAªg¦éÌÅ½Æ©Èé
+		½¾µAIrregular Expression
+	uÆ éÄAÌ³K\»v
+		ÄAÌ[³ðÀè·êÎLÀ
+		¶ñÌ·³ªNÈçA½©¾©NïÌÄA
+		ãÀðNÉµ½ -> OÌ·³*2+35 ÌQ»® ÂÜè 35*((2^n+1)-1)
+		140¶ÈàÌ®SÈl¥Z
+			(140-1)/2 = 69ïÌÄAªãÀ
+			(35*(2^70)-1) -> 40[^oCg
+	Q. ÛèÌ³K\»ðìéc[ÍH
+	A. ìÁ½ÌÅ±ÌãÌ­\Å¨yµÝÉI
+	Q. pureÈ³K\»É±¾íé±ÆÌ_
+	A. DFAÉÏ·oé -> DFAÌÅK» / Àñ}b`Oªo½è·é
+
+LT
+	lÌl¦½¢EÅ­Ì³K\»GW @shinya8282
+		¢ÌÉÍ¢ë¢ëÈ³K\»GWª é
+			PCRE
+			RE2
+			SÔ
+		¸Î²¯½Á¥ð½¹½¢
+			¬xI
+		Regen -> Regular Expression Generator
+		³K\»©çFX"¶¬"
+			x86lCeBuR[h
+			etc...
+		ÀEÜÅ¬»µ½¢
+			DFAx[XÌ}b`O
+			®IÈR[h¶¬ by Xbyak
+			ÀñDFA}b`O
+			@BêxÅÌÅK»(È¤)
+		Ü¾PÌÅàCuÆµÄàg¦éxÉÍÈÁÄ¢È¢
+		ÄAÆÛèÌ¶¬nÆµÄÍg¦é
+	PlaggerÅo¦½PerlÌ³K\» yusukabe
+		UNIX pipe programming for web <- Plagger
+		Filter::EntryFullText
+		tB[hðoÍµÄ¢È¢y[WÌXVîñðµ¤
+		30ÂÌGYAMLI
+		GTCgðwÇ -> Plagger -> etc...
+		rh[ì®ªæ¢æI
+	Regexp::AssembleÆ©»ÌÓÌb Yappo
+		³K\»ðìgµÄZðo
+		XÖÇÌf[^ðp¢½
+		s¹{§ÍÜ¾¢¢¯ÇAs¬ºÍ³K\»ð³kµÈ¢ÆÆÄà¶áÈ¢
+		TrieÌûªAssembleæè4{­ç¢¬¢
+		# ±±ÅÔØê
+	ÄAI³K\» JSON Validator TAKESAKO
+		JavaScript Object Notation
+		XSSª|¢ÌÅValidateªKv
+	lÆ_ñµÄAi sugyan
+		Quine ruBy
+		PerlÅìèÜµ½I
+		JavaScriptÅà
+		Quine -> ©gÌ®SÈR[hðoÍ·évO
+		evalðg¤
+		FðÏ¦é -> ANSI escape sequence
+		ZtÍuuencodeÅ²Ü©·
+		use utf8;Æ«½­È¢ÌÅÏÈ±Æð·é
+		®`
+			³ÊÉÏ·AóðüêéA()ðüêé
+		³K\»à¿åÁÆ¾¯gÁ½æ
+	FXÈàÌð³KÉ\»µÄÝæ¤
+		u/RegEx/vÆ¢¤TCg
+		udbÔvÌá->cOÈ¨ª½¢
+		Number::Phone::JPðg¨¤
+		XÖÔà³K\»ÉoéÌÅÍH
+			000-0000 `999-9999Ì¤¿98.6%ÍÀÛÉÍgíêÄ¢È¢
+			Number::Zipcode::JP
+		N¾H´¾I
+		DBÅø¢Äp^[}b`æèá±¬¢æII
+		